h = 0.5
ep = h/10

P = line([(0,-h-ep),(0,h+ep)], thickness=1)
P += line([(-ep,0),(4+ep,0)], thickness=1)
P += line([(0,h),(1,h),(1,-h),(2,-h),(2,h),(3,h),(4,h)], thickness=4)

for k in srange(1,5):
	P += line([(k,-h-4*ep),(k,h+4*ep)], thickness=1, linestyle='--')
	P += text(str(k),(k-1/2,-h-3*ep),fontsize=30)
	P += plot( h*sin(10*(k+1)*x),x,k-0.9,k-0.1, thickness=2, color='red')

for k in srange(1,5):
	P += polygon([(k-1.7*ep,-h-4*ep),(k+1.7*ep,-h-4*ep),(k+1.7*ep,h+4*ep),(k-1.7*ep,h+4*ep)], alpha = 0.0, color='white', edgecolor='white')


P.set_aspect_ratio(1)
P.axes(False)
#P.save('borri.png')
P.save('../images/fdm.png')


for k in srange(1,5):
	P += polygon([(k-1.7*ep,-h-4*ep),(k+1.7*ep,-h-4*ep),(k+1.7*ep,h+4*ep),(k-1.7*ep,h+4*ep)], alpha = 0.4, color='limegreen', edgecolor='black')

P.set_aspect_ratio(1)
P.axes(False)
#P.save('borri.png')
P.save('../images/fdm2.png')

#################################################

P = line([(0,-h-ep),(0,h+ep)], thickness=1)
P += line([(-ep,0),(4+ep,0)], thickness=1)
P += line([(0,0),(0,h),(4,h),(4,0)], thickness=4)
k = 1
P += plot( h*sin(10*(k+1)*x),x,0,4, thickness=2, color='red')

P.set_aspect_ratio(1)
P.axes(False)
#P.save('borri.png')
P.save('../images/ofdm1.png')


#################################################

P = line([(0,-h-ep),(0,h+ep)], thickness=1)
P += line([(-ep,0),(4+ep,0)], thickness=1)
P += line([(0,0),(0,-h),(4,-h),(4,0)], thickness=4)
k = 2
P += plot( h*sin(10*(k+1)*x),x,0,4, thickness=2, color='red')

P.set_aspect_ratio(1)
P.axes(False)
#P.save('borri.png')
P.save('../images/ofdm2.png')


#################################################

P = line([(0,-h-ep),(0,h+ep)], thickness=1)
P += line([(-ep,0),(4+ep,0)], thickness=1)
P += line([(0,0),(0,h),(4,h),(4,0)], thickness=4)
k = 3
P += plot( h*sin(10*(k+1)*x),x,0,4, thickness=2, color='red')

P.set_aspect_ratio(1)
P.axes(False)
#P.save('borri.png')
P.save('../images/ofdm3.png')


#################################################

P = line([(0,-h-ep),(0,h+ep)], thickness=1)
P += line([(-ep,0),(4+ep,0)], thickness=1)
P += line([(0,0),(0,h),(4,h),(4,0)], thickness=4)
k = 4
P += plot( h*sin(10*(k+1)*x),x,0,4, thickness=2, color='red')

P.set_aspect_ratio(1)
P.axes(False)
#P.save('borri.png')
P.save('../images/ofdm4.png')


