
def boat(a,b):
	P = polygon([(-1+a,0+b), (1+a,0+b), (1.5+a,0.5+b), (-1.5+a,0.5+b)], color='blue', zorder=100)
	P += line([(0.5+a,0.5+b),(0+a,1+b),(-0.5+a,0.5+b)], thickness=3, zorder=100)
	P += line([(0+a,0.5+b),(0+a,1+b)], thickness=3, zorder=100)
	return P

h = 6
h1 = 1
d = 10
P = line([(d,0),(0,h),(0,0)], thickness=3)
P += line([(d,0),(0,0)], thickness=3, linestyle='--')
P += arc((0,h), 0.5, sector=(3*pi/2,3*pi/2+atan(d/h)), thickness=3, color='red')
P += line([(0,h-h1),(h1/h*d,h-h1)], thickness=3)
P += line([(0,0),(0,h)], thickness=3, color='red', zorder=100)
P += arc((0,0), 0.5, sector=(0,pi/2), thickness=3, color='red')
P += boat(d,0)
P.set_aspect_ratio(1)
P.axes(False)
#P.save('borri.png')
P.save('../images/shp1.png')

s = 2
d = 6*s
d1 = 2.2*s
al = 52/180*pi
be = atan(d1/(d-d1)*tan(al))
P = line([(0,0),(d,0),(d1,d1*tan(al)),(0,0)], thickness=3)
P += line([(d1,d1*tan(al)),(d1,0)], thickness=3, linestyle='--')
P += line([(0,0),(d,0)], thickness=3, color='red', zorder=100)
P += arc((0,0), 1.0, sector=(0,al), thickness=3, color='red')
P += arc((d,0), 1.0, sector=(pi-be,pi), thickness=3, color='red')
P += boat(d1,d1*tan(al))
P.set_aspect_ratio(1)
P.axes(False)
#P.save('borri.png')
P.save('../images/shp2.png')


P = polygon([(0,0), (1/tan(52/180*pi),0), (0,1)], color=Color(205/256,133/256,63/256) ,edgecolor=Color(105/256,63/256,33/256))
P += line([(0,0),(1,0),(0,1),(0,0)], thickness=3, linestyle='--')
P += line([(0,0),(1,0),(0,1)], thickness=3)
P.set_aspect_ratio(1)
P.axes(False)
P.save('borri.png')
P.save('../images/pyra.png')
